Bug 1033 - Multiply recursive blank-named parent directory duplicates
Multiply recursive blank-named parent directory duplicates
Status: RESOLVED WONTFIX
Product: Samba 2.2
Classification: Unclassified
Component: File Services
2.2.0
All Solaris
: P3 normal
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-03 06:43 UTC by Michael.Duffy
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael.Duffy 2004-02-03 06:43:02 UTC
The problem is with Samba 2.0.7; I cannot upgrade due to changes in local 
procedures for joining domains. If you can't reproduce the error, perhaps it 
has been fixed in later versions of Samba.

Simply stated, I have a Unix (Solaris 2.8 64 bit) directory with about 800 
files with several names illegal for Windows. All are normal (i.e. no links or 
sub-directories), but many names include ":" and "$" characters. When viewed on 
the Windows 2000 (SP4) system, there are a few sub-directories shown with empty 
names, despite no sub-directories in the Unix share. Also, not all of the 
original files show up in the root of the share. But the worst part is that if 
you click on any of the subdirectories, you get what is apparently a complete 
copy of the parent directory, complete with its own blank-named sub-
directories. If you click on any of them, the same thing happens. Thus, 
any "Properties" request from the Windows client always goes into an infinite 
loop.

The content of the files does not matter. Following is a command file to create 
a directory with the offending names. I tried trimming the names, but getting 
rid of some of them will fix the problem right away, and I didn't feel to try 
all 800. At the end I will put a copy of my "samba.conf" file.

Some of the names start with "F:BLAHBLAH" or "J:BLAHBLAH", And I have other 
drives "F:" and "J:" on my windows system. I don't know if this matters or not.

Note that I am willing to perform tests and answer any questions you may have. 

echo "" > "$$DEFAULT_MACRO_COMMANDS"
echo "" > ":MAIL_CENTRAL"
echo "" > "BDT1"
echo "" > "BDT10"
echo "" > "BDT13"
echo "" > "BDT1SAVE"
echo "" > "BDT3"
echo "" > "BFILLIN"
echo "" > "BH1"
echo "" > "BH13"
echo "" > "BH3"
echo "" > "BIND"
echo "" > "BINDEX0"
echo "" > "BINDEX1"
echo "" > "BINDEX10"
echo "" > "BINDEX13"
echo "" > "BINDEX3"
echo "" > "BOITHIASPROFILE"
echo "" > "BRAYINP0"
echo "" > "BRAYINP1"
echo "" > "BRAYINP10"
echo "" > "BRAYINP13"
echo "" > "BRAYINP3"
echo "" > "BRFL0"
echo "" > "BRFL1"
echo "" > "BRFL10"
echo "" > "BRFL13"
echo "" > "BRFL3"
echo "" > "BT:CALWTOTRI"
echo "" > "BT:DDFACPROP"
echo "" > "BT:EMPEPROP"
echo "" > "BT:FACPROP"
echo "" > "BT:PCPROPAG"
echo "" > "BT:PROPAG"
echo "" > "BT:PROPAG$"
echo "" > "BT:PROPAGLIN"
echo "" > "BT:PROPAGLINV4"
echo "" > "BT:PROPAGLINV5"
echo "" > "BT:PROPAGLINV6"
echo "" > "BT:PROPAGV2"
echo "" > "BT:PROPAGV2:2"
echo "" > "BT:PROPAGV3"
echo "" > "BT:PROPAGV3DP"
echo "" > "BT:PROPAGV4"
echo "" > "BT:PROPAGV5"
echo "" > "BT:PROPAGV6"
echo "" > "BT:RAYCOMP"
echo "" > "BT:TST"
echo "" > "BTETA0"
echo "" > "BTETA1"
echo "" > "BTETA10"
echo "" > "BTETA13"
echo "" > "BTETA3"
echo "" > "BW1"
echo "" > "BW10"
echo "" > "BW13"
echo "" > "BW3"
echo "" > "CHRAYINP1"
echo "" > "CHRAYINP10"
echo "" > "CHRAYINP13"
echo "" > "CHRAYINP3"
echo "" > "CLREFIR10MIC"
echo "" > "COM:GRAPH3"
echo "" > "COPY_ON_TAPE"
echo "" > "DAT:COL1"
echo "" > "DAT:COL2"
echo "" > "DAT:COORVAR"
echo "" > "DAT:FPINP"
echo "" > "DAT:LIG"
echo "" > "DDGRAF3NL"
echo "" > "DDGRAF3NLMOD"
echo "" > "DDGRAF3NMOD"
echo "" > "DELWFILLIN"
echo "" > "DELWFILV2"
echo "" > "DELWFILV4"
echo "" > "EM"
echo "" > "EMPE2_3GHZ"
echo "" > "EMPE2LIN"
echo "" > "EMPE2LINMOD"
echo "" > "EMPEDATA"
echo "" > "EMPEDATALIN"
echo "" > "EMPEM_3_2"
echo "" > "EO5REFRACT:1"
echo "" > "EO5REFRACT:2"
echo "" > "EOREFRACT5:1"
echo "" > "EX:2VCAL"
echo "" > "EX:ATFNLAVAL"
echo "" > "EX:DDFNLAVAL"
echo "" > "EX:DUCTHCAL"
echo "" > "EX:FNLAVAL"
echo "" > "EX:GAUSS"
echo "" > "EX:IRDNDHDRIVER"
echo "" > "EX:IRDNDHDRIVER2"
echo "" > "EX:IRHORIZON"
echo "" > "EX:IRREFCAL"
echo "" > "EX:IRREFCAL2"
echo "" > "EX:NDEH"
echo "" > "EX:NOSCIN"
echo "" > "EX:PCPROPAG"
echo "" > "EX:PROFCAL"
echo "" > "EX:PROPAG"
echo "" > "EX:PROPAG$"
echo "" > "EX:PROPAG4:3"
echo "" > "EX:PROPAGLIN"
echo "" > "EX:PROPAGLINV4"
echo "" > "EX:PROPAGLINV5"
echo "" > "EX:PROPAGLINV6"
echo "" > "EX:PROPAGV2"
echo "" > "EX:PROPAGV2:2"
echo "" > "EX:PROPAGV3"
echo "" > "EX:PROPAGV3DP"
echo "" > "EX:PROPAGV4"
echo "" > "EX:PROPAGV6"
echo "" > "EX:RAYIN"
echo "" > "EX:RAYINV4"
echo "" > "EX:REFVALUE"
echo "" > "EX:TESTLGLIN"
echo "" > "EX:TRACEN"
echo "" > "EX:TRACENDATA"
echo "" > "EX:TRACENLIN"
echo "" > "EX:TRACENV2"
echo "" > "EX:TRACENV2:2"
echo "" > "EX:TRACENV3"
echo "" > "EX:TRACERAYS"
echo "" > "EX:TRACERAYS$"
echo "" > "EX:TRACERAYSTMP"
echo "" > "EX:TRACERAYSTMPV4"
echo "" > "EX:TRACERAYSV2"
echo "" > "EX:TRACERAYSV2DP"
echo "" > "EX:TRACERAYSV4"
echo "" > "EX:TRACERTER"
echo "" > "EX:TST"
echo "" > "EX:TSTNLINFS"
echo "" > "F:2VCAL"
echo "" > "F:ANGLECAL"
echo "" > "F:ATTRACEN"
echo "" > "F:CALCULNDION"
echo "" > "F:COSTUMREF"
echo "" > "F:DTETAINT"
echo "" > "F:DTETAW"
echo "" > "F:DUCTHCAL"
echo "" > "F:DUCTHCALOLD"
echo "" > "F:FICHMOD"
echo "" > "F:FNLAVAL"
echo "" > "F:FNPAK86"
echo "" > "F:GAUSS"
echo "" > "F:IRANGERR"
echo "" > "F:IRANGERR2"
echo "" > "F:IRDNDH"
echo "" > "F:IRDNDHDRIVER"
echo "" > "F:IRDNDHDRIVER2"
echo "" > "F:IRHORIZON"
echo "" > "F:IRREF"
echo "" > "F:IRREFCALDRIVER"
echo "" > "F:IRREFCALDRIVER2"
echo "" > "F:LASSONDE"
echo "" > "F:LOGLIN"
echo "" > "F:MODFILE"
echo "" > "F:MODIFYFILE"
echo "" > "F:MRIVBRUNO"
echo "" > "F:MROTHERAM"
echo "" > "F:NDEH"
echo "" > "F:NLINFSPAK"
echo "" > "F:NLINFSPAKV2"
echo "" > "F:NLINFSPAKV2Z"
echo "" > "F:NLINPAK$"
echo "" > "F:NOSCIN"
echo "" > "F:NRPAK"
echo "" > "F:NRPAK$"
echo "" > "F:NRPAK4:3"
echo "" > "F:PCPROPAK"
echo "" > "F:PROFROTHERAMCAL"
echo "" > "F:PROPAGLINV4"
echo "" > "F:PROPAK"
echo "" > "F:PROPAK$"
echo "" > "F:PROPAKLIN"
echo "" > "F:PROPAKLINV4"
echo "" > "F:PROPAKNEW"
echo "" > "F:PROPAKV2"
echo "" > "F:PROPAKV2:2"
echo "" > "F:PROPAKV3"
echo "" > "F:PROPAKV3DP"
echo "" > "F:PROPAKV4"
echo "" > "F:PROPAKV5"
echo "" > "F:PROPAKV6"
echo "" > "F:RAYANAL"
echo "" > "F:RAYCOMP"
echo "" > "F:RAYIN"
echo "" > "F:RAYINV4"
echo "" > "F:READUNFORMAT"
echo "" > "F:REEMIT"
echo "" > "F:REFOPTIC_HILL"
echo "" > "F:REFVALUE"
echo "" > "F:RHTST"
echo "" > "F:TESTLGLIN"
echo "" > "F:TESTV5"
echo "" > "F:TOT"
echo "" > "F:TOTO"
echo "" > "F:TRACENDATA"
echo "" > "F:TRACENDEMO"
echo "" > "F:TRACENLIN"
echo "" > "F:TRACENV2"
echo "" > "F:TRACENV2:2"
echo "" > "F:TRACENV3"
echo "" > "F:TRACERAYS"
echo "" > "F:TRACERAYS$"
echo "" > "F:TRACERAYSTMP"
echo "" > "F:TRACERAYSTMPV4"
echo "" > "F:TRACERAYSV2"
echo "" > "F:TRACERAYSV2DP"
echo "" > "F:TRACERAYSV4"
echo "" > "F:TRACERTER"
echo "" > "F:TST"
echo "" > "F:TSTNLINFSPAK"
echo "" > "F:TSTNLINFSPAKV2"
echo "" > "F:TSTNLINPAK$"
echo "" > "F:TSTNRPAK$"
echo "" > "F:TSTOK"
echo "" > "F:TTT"
echo "" > "F:UTILPAK"
echo "" > "F:UTILPAK$"
echo "" > "F:WAIT"
echo "" > "FICHOUTLAST"
echo "" > "FICHOUTMOD"
echo "" > "FICHOUTPUT"
echo "" > "FICHOUTPUTSAV"
echo "" > "FICHTEMP"
echo "" > "FIFIL"
echo "" > "FIFILLIN"
echo "" > "FIFILV2"
echo "" > "FIFILV4"
echo "" > "FTST"
echo "" > "GRACJROY"
echo "" > "GRAF:IRDNDHVDE"
echo "" > "GRAF:IRDNDHVDT"
echo "" > "GRAF:IRREFVT"
echo "" > "GRAF:IRREFVWL"
echo "" > "GRAFICH"
echo "" > "GRAPH3DPTS"
echo "" > "HFIL"
echo "" > "HFILLIN"
echo "" > "HFILPROF5"
echo "" > "HFILV2"
echo "" > "HFILV4"
echo "" > "HFILV4A"
echo "" > "HFILV4EMPE2"
echo "" > "HITNEYORGINAL"
echo "" > "HT1"
echo "" > "HUMH20M"
echo "" > "HVFILV4A"
echo "" > "I_EMPE2_3GHZ"
echo "" > "I_EMPEM_3_2"
echo "" > "I_PF50:20"
echo "" > "I_PF60KM"
echo "" > "I_PF60KMNOSC"
echo "" > "I_PFHD10:1TS"
echo "" > "I_PFHD10O:1"
echo "" > "I_PL13HD10G6"
echo "" > "I_PLHD10:1TS"
echo "" > "I_PLHD10:6"
echo "" > "I_PLHD10G1"
echo "" > "INDEX8"
echo "" > "INDEX9"
echo "" > "IRANGERR"
echo "" > "IRANGERR15:5:10:20"
echo "" > "IRANGERR22"
echo "" > "IRANGERR22:5:10:20"
echo "" > "IRDNDH"
echo "" > "IRDNDHVDE"
echo "" > "IRDNDHVDT"
echo "" > "IRHORIZON"
echo "" > "IRHORIZON22"
echo "" > "IRHORIZON22:5:10:20"
echo "" > "IRHORIZON5:5:10:20"
echo "" > "IRNWGOODY"
echo "" > "IRNWGOODYNEW"
echo "" > "IRNWVSWTH"
echo "" > "IRNWVSWTHNEW"
echo "" > "IRRANGERR"
echo "" > "IRREF"
echo "" > "IRREFVT"
echo "" > "IRREFVWL"
echo "" > "IRREFVWL:3:5"
echo "" > "IRREFVWL:8:12"
echo "" > "J:2VCAL"
echo "" > "J:DUCTHCAL"
echo "" > "J:FNLAVAL"
echo "" > "J:GAUSS"
echo "" > "J:IRDNDHDRIVER"
echo "" > "J:IRDNDHDRIVER2"
echo "" > "J:IRHORIZON"
echo "" > "J:IRREFCALDRIVER"
echo "" > "J:IRREFCALDRIVER2"
echo "" > "J:NDEH"
echo "" > "J:NOSCIN"
echo "" > "J:PCPROPAG"
echo "" > "J:PROFCAL"
echo "" > "J:PROPAG4:3"
echo "" > "J:PROPAGLIN"
echo "" > "J:PROPAGLINV4"
echo "" > "J:PROPAGLINV5"
echo "" > "J:PROPAGLINV6"
echo "" > "J:PROPAGV2"
echo "" > "J:PROPAGV2:2"
echo "" > "J:PROPAGV3"
echo "" > "J:PROPAGV3DP"
echo "" > "J:PROPAGV4"
echo "" > "J:PROPAGV5"
echo "" > "J:PROPAGV6"
echo "" > "J:RAYIN"
echo "" > "J:RAYINV4"
echo "" > "J:READU"
echo "" > "J:REFVALUE"
echo "" > "J:TESTLGLIN"
echo "" > "J:TRACEN"
echo "" > "J:TRACENDATA"
echo "" > "J:TRACENDEMO"
echo "" > "J:TRACENLIN"
echo "" > "J:TRACENV2"
echo "" > "J:TRACENV2:2"
echo "" > "J:TRACENV3"
echo "" > "J:TRACERAY1DEMO"
echo "" > "J:TRACERAY2DEMO"
echo "" > "J:TRACERAYS"
echo "" > "J:TRACERAYS$"
echo "" > "J:TRACERAYSTMP"
echo "" > "J:TRACERAYSTMPV4"
echo "" > "J:TRACERAYSV2"
echo "" > "J:TRACERAYSV2DP"
echo "" > "J:TRACERAYSV4"
echo "" > "J:TRACERLIN"
echo "" > "J:TST"
echo "" > "J:TSTNLINFSPAK"
echo "" > "J:TSTNLINPAK"
echo "" > "J:TTT"
echo "" > "KEL2"
echo "" > "KEL3"
echo "" > "KELTEST"
echo "" > "LET4"
echo "" > "LET5"
echo "" > "LGLN"
echo "" > "LGLN06"
echo "" > "LGLN07"
echo "" > "LGLN10"
echo "" > "LGLN12"
echo "" > "LGLN14"
echo "" > "M3"
echo "" > "MNMXFILLIN"
echo "" > "MNMXFILV2"
echo "" > "MNMXFILV4"
echo "" > "MW10DW15:X"
echo "" > "MW10DW15:Y"
echo "" > "MW10DW19:X"
echo "" > "MW10DW19:Y"
echo "" > "MW10DW26:X"
echo "" > "MW10DW26:Y"
echo "" > "MW10H15:X"
echo "" > "MW10H15:Y"
echo "" > "MW10H19:X"
echo "" > "MW10H19:Y"
echo "" > "MW10H26:X"
echo "" > "MW10H26:Y"
echo "" > "MW10INPUT15:X"
echo "" > "MW10INPUT15:Y"
echo "" > "MW10INPUT19:X"
echo "" > "MW10INPUT19:Y"
echo "" > "MW10INPUT26:X"
echo "" > "MW10INPUT26:Y"
echo "" > "MW10MNMX26:Y"
echo "" > "MW10RFL15:X"
echo "" > "MW10RFL15:Y"
echo "" > "MW10RFL19:X"
echo "" > "MW10RFL19:Y"
echo "" > "MW10RFL26:X"
echo "" > "MW10RFL26:Y"
echo "" > "MW11DW15:X"
echo "" > "MW11DW15:Y"
echo "" > "MW11DW26:X"
echo "" > "MW11DW26:Y"
echo "" > "MW11H26:X"
echo "" > "MW11INPUT15:X"
echo "" > "MW11INPUT15:Y"
echo "" > "MW11INPUT26:X"
echo "" > "MW11INPUT26:Y"
echo "" > "MW11RFL26:X"
echo "" > "MW12DW15:X"
echo "" > "MW12DW15:Y"
echo "" > "MW12DW15:Z"
echo "" > "MW12DW19:X"
echo "" > "MW12DW19:Y"
echo "" > "MW12DW19:Z"
echo "" > "MW12DW26:X"
echo "" > "MW12DW26:Y"
echo "" > "MW12DW26:Z"
echo "" > "MW12H15:X"
echo "" > "MW12H15:Y"
echo "" > "MW12H15:Z"
echo "" > "MW12H19:X"
echo "" > "MW12H19:Y"
echo "" > "MW12H19:Z"
echo "" > "MW12H26:X"
echo "" > "MW12H26:Y"
echo "" > "MW12H26:Z"
echo "" > "MW12INPUT15:X"
echo "" > "MW12INPUT15:Y"
echo "" > "MW12INPUT15:Z"
echo "" > "MW12INPUT19:X"
echo "" > "MW12INPUT19:Y"
echo "" > "MW12INPUT19:Z"
echo "" > "MW12INPUT26:X"
echo "" > "MW12INPUT26:Y"
echo "" > "MW12INPUT26:Z"
echo "" > "MW12MNMX15:Z"
echo "" > "MW12MNMX19:Z"
echo "" > "MW12MNMX26:X"
echo "" > "MW12MNMX26:Z"
echo "" > "MW12RFL15:X"
echo "" > "MW12RFL15:Y"
echo "" > "MW12RFL15:Z"
echo "" > "MW12RFL19:X"
echo "" > "MW12RFL19:Y"
echo "" > "MW12RFL19:Z"
echo "" > "MW12RFL26:X"
echo "" > "MW12RFL26:Y"
echo "" > "MW12RFL26:Z"
echo "" > "MW13DW15:X"
echo "" > "MW13DW15:Y"
echo "" > "MW13DW19:X"
echo "" > "MW13DW19:Y"
echo "" > "MW13DW26:X"
echo "" > "MW13DW26:Y"
echo "" > "MW13H15:X"
echo "" > "MW13H15:Y"
echo "" > "MW13H19:X"
echo "" > "MW13H19:Y"
echo "" > "MW13H26:X"
echo "" > "MW13H26:Y"
echo "" > "MW13INPUT15:X"
echo "" > "MW13INPUT15:Y"
echo "" > "MW13INPUT19:X"
echo "" > "MW13INPUT19:Y"
echo "" > "MW13INPUT26:X"
echo "" > "MW13INPUT26:Y"
echo "" > "MW13RFL15:X"
echo "" > "MW13RFL15:Y"
echo "" > "MW13RFL19:X"
echo "" > "MW13RFL19:Y"
echo "" > "MW13RFL26:X"
echo "" > "MW13RFL26:Y"
echo "" > "MW1DW15:X"
echo "" > "MW1DW26:X"
echo "" > "MW1H15:X"
echo "" > "MW1H19:X"
echo "" > "MW1H26:X"
echo "" > "MW1INPUT15:X"
echo "" > "MW1INPUT19:X"
echo "" > "MW1INPUT26:X"
echo "" > "MW1MNMX15:X"
echo "" > "MW1MNMX19:X"
echo "" > "MW1MNMX26:X"
echo "" > "MW1RFL15:X"
echo "" > "MW1RFL19:X"
echo "" > "MW1RFL26:X"
echo "" > "MW2DW15:4"
echo "" > "MW2DW15:5"
echo "" > "MW2DW15:X"
echo "" > "MW2DW15:Z"
echo "" > "MW2DW19:X"
echo "" > "MW2DW19:Z"
echo "" > "MW2DW26:4"
echo "" > "MW2DW26:X"
echo "" > "MW2H15:4"
echo "" > "MW2H15:5"
echo "" > "MW2H15:X"
echo "" > "MW2H15:Z"
echo "" > "MW2H19:X"
echo "" > "MW2H19:Z"
echo "" > "MW2H26:4"
echo "" > "MW2H26:X"
echo "" > "MW2INPUT15:4"
echo "" > "MW2INPUT15:5"
echo "" > "MW2INPUT15:X"
echo "" > "MW2INPUT15:Z"
echo "" > "MW2INPUT19:X"
echo "" > "MW2INPUT19:Z"
echo "" > "MW2INPUT26:4"
echo "" > "MW2INPUT26:X"
echo "" > "MW2MNMX15:4"
echo "" > "MW2MNMX15:5"
echo "" > "MW2MNMX15:X"
echo "" > "MW2MNMX15:Z"
echo "" > "MW2MNMX19:X"
echo "" > "MW2MNMX26:4"
echo "" > "MW2MNMX26:X"
echo "" > "MW2RFL15:4"
echo "" > "MW2RFL15:5"
echo "" > "MW2RFL15:X"
echo "" > "MW2RFL15:Z"
echo "" > "MW2RFL19:X"
echo "" > "MW2RFL19:Z"
echo "" > "MW2RFL26:4"
echo "" > "MW2RFL26:X"
echo "" > "MW2W15:4"
echo "" > "MW3DW15:2"
echo "" > "MW3DW15:3"
echo "" > "MW3DW15:4"
echo "" > "MW3DW19:3"
echo "" > "MW3DW19:4"
echo "" > "MW3DW26:3"
echo "" > "MW3DW26:4"
echo "" > "MW3DW26:5"
echo "" > "MW3H15:3"
echo "" > "MW3H15:4"
echo "" > "MW3H19:4"
echo "" > "MW3H26:3"
echo "" > "MW3H26:4"
echo "" > "MW3H26:5"
echo "" > "MW3INPUT15:3"
echo "" > "MW3INPUT15:4"
echo "" > "MW3INPUT19:3"
echo "" > "MW3INPUT19:4"
echo "" > "MW3INPUT26:3"
echo "" > "MW3INPUT26:4"
echo "" > "MW3INPUT26:5"
echo "" > "MW3MNMX15:3"
echo "" > "MW3MNMX15:4"
echo "" > "MW3MNMX19:3"
echo "" > "MW3MNMX19:4"
echo "" > "MW3MNMX26:3"
echo "" > "MW3MNMX26:4"
echo "" > "MW3MNMX26:5"
echo "" > "MW3RFL15:3"
echo "" > "MW3RFL15:4"
echo "" > "MW3RFL19:3"
echo "" > "MW3RFL19:4"
echo "" > "MW3RFL26:3"
echo "" > "MW3RFL26:4"
echo "" > "MW3RFL26:5"
echo "" > "MW3W15:3"
echo "" > "MW3W15:4"
echo "" > "MW4DW15:2"
echo "" > "MW4DW15:3"
echo "" > "MW4DW19:2"
echo "" > "MW4DW19:3"
echo "" > "MW4DW26:2"
echo "" > "MW4DW26:3"
echo "" > "MW4H15:2"
echo "" > "MW4H15:3"
echo "" > "MW4H19:2"
echo "" > "MW4H19:3"
echo "" > "MW4H26:2"
echo "" > "MW4H26:3"
echo "" > "MW4INPUT15:2"
echo "" > "MW4INPUT15:3"
echo "" > "MW4INPUT19:2"
echo "" > "MW4INPUT19:3"
echo "" > "MW4INPUT26:2"
echo "" > "MW4INPUT26:3"
echo "" > "MW4MNMX15:2"
echo "" > "MW4MNMX15:3"
echo "" > "MW4MNMX19:2"
echo "" > "MW4MNMX19:3"
echo "" > "MW4MNMX26:2"
echo "" > "MW4MNMX26:3"
echo "" > "MW4RFL15:2"
echo "" > "MW4RFL15:3"
echo "" > "MW4RFL19:2"
echo "" > "MW4RFL19:3"
echo "" > "MW4RFL26:2"
echo "" > "MW4RFL26:3"
echo "" > "MW4W15:2"
echo "" > "MW4W15:3"
echo "" > "MW4W19:2"
echo "" > "MW4W19:3"
echo "" > "MW4W26:2"
echo "" > "MW4W26:3"
echo "" > "MW5DELWFIL18"
echo "" > "MW5DELWFIL25"
echo "" > "MW5DW15:2"
echo "" > "MW5DW19:2"
echo "" > "MW5DW26:2"
echo "" > "MW5DW26:3"
echo "" > "MW5FIFIL18"
echo "" > "MW5FIFIL25"
echo "" > "MW5H15:2"
echo "" > "MW5H19:2"
echo "" > "MW5H26:2"
echo "" > "MW5H26:3"
echo "" > "MW5HFIL18"
echo "" > "MW5HFIL25"
echo "" > "MW5INPUT15:2"
echo "" > "MW5INPUT19:2"
echo "" > "MW5INPUT26:2"
echo "" > "MW5INPUT26:3"
echo "" > "MW5MNMX15:2"
echo "" > "MW5MNMX19:2"
echo "" > "MW5MNMX26:2"
echo "" > "MW5MNMX26:3"
echo "" > "MW5RFL15:2"
echo "" > "MW5RFL19:2"
echo "" > "MW5RFL26:2"
echo "" > "MW5RFL26:3"
echo "" > "MW5RFLFIL18"
echo "" > "MW5RFLFIL25"
echo "" > "MW5W15:2"
echo "" > "MW5W19:2"
echo "" > "MW5W26:2"
echo "" > "MW5W26:3"
echo "" > "MW5WFIL18"
echo "" > "MW5WFIL25"
echo "" > "MW6DW15:X"
echo "" > "MW6DW15:Y"
echo "" > "MW6DW19:X"
echo "" > "MW6DW19:Y"
echo "" > "MW6DW26:X"
echo "" > "MW6DW26:Y"
echo "" > "MW6H15:X"
echo "" > "MW6H15:Y"
echo "" > "MW6H19:X"
echo "" > "MW6H19:Y"
echo "" > "MW6H26:X"
echo "" > "MW6H26:Y"
echo "" > "MW6INPUT15:X"
echo "" > "MW6INPUT15:Y"
echo "" > "MW6INPUT19:X"
echo "" > "MW6INPUT19:Y"
echo "" > "MW6INPUT26:X"
echo "" > "MW6INPUT26:Y"
echo "" > "MW6MNMX15:X"
echo "" > "MW6MNMX15:Y"
echo "" > "MW6MNMX19:X"
echo "" > "MW6MNMX19:Y"
echo "" > "MW6MNMX26:X"
echo "" > "MW6MNMX26:Y"
echo "" > "MW6RFL15:X"
echo "" > "MW6RFL15:Y"
echo "" > "MW6RFL19:X"
echo "" > "MW6RFL19:Y"
echo "" > "MW6RFL26:X"
echo "" > "MW6RFL26:Y"
echo "" > "MW7DW15:X"
echo "" > "MW7DW15:Y"
echo "" > "MW7DW19:X"
echo "" > "MW7DW19:Y"
echo "" > "MW7DW26:X"
echo "" > "MW7DW26:Y"
echo "" > "MW7H15:X"
echo "" > "MW7H15:Y"
echo "" > "MW7H19:X"
echo "" > "MW7H19:Y"
echo "" > "MW7H26:X"
echo "" > "MW7H26:Y"
echo "" > "MW7INPUT15:X"
echo "" > "MW7INPUT15:Y"
echo "" > "MW7INPUT19:X"
echo "" > "MW7INPUT19:Y"
echo "" > "MW7INPUT26:X"
echo "" > "MW7INPUT26:Y"
echo "" > "MW7MNMX15:X"
echo "" > "MW7MNMX15:Y"
echo "" > "MW7MNMX19:X"
echo "" > "MW7MNMX19:Y"
echo "" > "MW7MNMX26:X"
echo "" > "MW7MNMX26:Y"
echo "" > "MW7RFL15:X"
echo "" > "MW7RFL15:Y"
echo "" > "MW7RFL19:X"
echo "" > "MW7RFL19:Y"
echo "" > "MW7RFL26:X"
echo "" > "MW7RFL26:Y"
echo "" > "MW8DW15:X"
echo "" > "MW8DW19:X"
echo "" > "MW8DW19:Y"
echo "" > "MW8DW26:X"
echo "" > "MW8DW26:Y"
echo "" > "MW8H15:X"
echo "" > "MW8H19:X"
echo "" > "MW8H19:Y"
echo "" > "MW8H26:X"
echo "" > "MW8H26:Y"
echo "" > "MW8INPUT15:X"
echo "" > "MW8INPUT19:X"
echo "" > "MW8INPUT19:Y"
echo "" > "MW8INPUT26:X"
echo "" > "MW8INPUT26:Y"
echo "" > "MW8MNMX15:X"
echo "" > "MW8MNMX19:X"
echo "" > "MW8MNMX19:Y"
echo "" > "MW8MNMX26:X"
echo "" > "MW8MNMX26:Y"
echo "" > "MW8RFL15:X"
echo "" > "MW8RFL19:X"
echo "" > "MW8RFL19:Y"
echo "" > "MW8RFL26:X"
echo "" > "MW8RFL26:Y"
echo "" > "MW9DW15:X"
echo "" > "MW9DW15:Y"
echo "" > "MW9DW19:X"
echo "" > "MW9DW19:Y"
echo "" > "MW9DW26:X"
echo "" > "MW9DW26:Y"
echo "" > "MW9H15:X"
echo "" > "MW9H15:Y"
echo "" > "MW9H19:X"
echo "" > "MW9H19:Y"
echo "" > "MW9H26:X"
echo "" > "MW9H26:Y"
echo "" > "MW9INPUT15:X"
echo "" > "MW9INPUT15:Y"
echo "" > "MW9INPUT19:X"
echo "" > "MW9INPUT19:Y"
echo "" > "MW9INPUT26:X"
echo "" > "MW9INPUT26:Y"
echo "" > "MW9MNMX15:X"
echo "" > "MW9MNMX19:X"
echo "" > "MW9RFL15:X"
echo "" > "MW9RFL15:Y"
echo "" > "MW9RFL19:X"
echo "" > "MW9RFL19:Y"
echo "" > "MW9RFL26:X"
echo "" > "MW9RFL26:Y"
echo "" > "MWREF10:1"
echo "" > "MWREF10:1DAT"
echo "" > "MWREF10:1DT3"
echo "" > "MWREF11:1"
echo "" > "MWREF11:2"
echo "" > "MWREF11:2DAT"
echo "" > "MWREF11:2DT3"
echo "" > "MWREF12:1"
echo "" > "MWREF13:M"
echo "" > "MWREF13:MDAT"
echo "" > "MWREF13:MDT3"
echo "" > "MWREF1:1"
echo "" > "MWREF1:1DAT"
echo "" > "MWREF2:1"
echo "" > "MWREF2:2"
echo "" > "MWREF2:2DAT"
echo "" > "MWREF2:2DATX"
echo "" > "MWREF3:1"
echo "" > "MWREF3:2"
echo "" > "MWREF3:3"
echo "" > "MWREF3:3DAT"
echo "" > "MWREF4"
echo "" > "MWREF4:2"
echo "" > "MWREF4:3"
echo "" > "MWREF4:DT3"
echo "" > "MWREF5"
echo "" > "MWREF5:9"
echo "" > "MWREF5:DATST"
echo "" > "MWREF5:DT3"
echo "" > "MWREF6:1"
echo "" > "MWREF6:2"
echo "" > "MWREF6:2DAT"
echo "" > "MWREF6:2DT3"
echo "" > "MWREF7:1"
echo "" > "MWREF7:1DAT"
echo "" > "MWREF7:1DT3"
echo "" > "MWREF7:TMP"
echo "" > "MWREF8:1"
echo "" > "MWREF8M:2"
echo "" > "MWREF8M:2DAT"
echo "" > "MWREF8M:2DT3"
echo "" > "MWREF9:1"
echo "" > "MWREF9:T"
echo "" > "MWREF9M:2"
echo "" > "MWREF9M:2DAT"
echo "" > "MWREF9M:2DT3"
echo "" > "MWREF9M:TMP"
echo "" > "MWREFTST"
echo "" > "MWV5H19:1"
echo "" > "MWVREFRACT13"
echo "" > "MWVREFRACT3"
echo "" > "MWVREFRACT4"
echo "" > "MWVREFRACT5"
echo "" > "NDUCTFIL"
echo "" > "NDUCTFILE"
echo "" > "NFIL"
echo "" > "NIP_ACC"
echo "" > "NIP_PTS"
echo "" > "NIP_VEL"
echo "" > "NOSC20FIL2"
echo "" > "NOSC20MFIL"
echo "" > "NOSCFIL"
echo "" > "NOSCPROF"
echo "" > "NOSCPROF20:1"
echo "" > "NOSCPROF20:2"
echo "" > "NOSCPROF20M"
echo "" > "NOSCPROF20MOD"
echo "" > "NOSCPROF26M"
echo "" > "O:ATTRACEN"
echo "" > "O:FNPAK86"
echo "" > "O:IRHORIZON"
echo "" > "O:LOGLIN"
echo "" > "O:MROTHERAM"
echo "" > "O:MROTHERAMDP"
echo "" > "O:NLINPAK"
echo "" > "O:NLINPAK$DP"
echo "" > "O:NRPAK"
echo "" > "O:NRPAK$"
echo "" > "O:NRPAK4:3"
echo "" > "O:PROPAKLIN"
echo "" > "O:TESTLGLIN"
echo "" > "O:TRACENFILE"
echo "" > "O:TST"
echo "" > "O:TSTNLINPAK"
echo "" > "O:UTILPAK"
echo "" > "O:UTILPAK$"
echo "" > "O:UTILPAK$DP"
echo "" > "O:WAIT"
echo "" > "O:WAITDP"
echo "" > "OLDRAYNEWS"
echo "" > "OUTFILE"
echo "" > "PASBON"
echo "" > "PF50:20"
echo "" > "PF60KM"
echo "" > "PFHD10:1TS"
echo "" > "PFHD10O:1"
echo "" > "PL1"
echo "" > "PL13HD10G6"
echo "" > "PL2"
echo "" > "PLHD10:1TS"
echo "" > "PLHD10:6"
echo "" > "PLHD10G1"
echo "" > "PLONG_ACC"
echo "" > "PLONG_PTS"
echo "" > "PLONG_VEL"
echo "" > "PROF:CM"
echo "" > "PROFMLOGLIN"
echo "" > "PROFMVALUE"
echo "" > "PROFMZ0-4"
echo "" > "QB:MCAL"
echo "" > "R1"
echo "" > "R2"
echo "" > "RAYGRAPH1"
echo "" > "RAYGRAPH13"
echo "" > "RAYINJ1"
echo "" > "RAYINJ13"
echo "" > "RAYINJ3"
echo "" > "RAYINNAAWS"
echo "" > "RAYINP2"
echo "" > "RAYINP8"
echo "" > "RAYINP9"
echo "" > "RAYINPPROF5"
echo "" > "RAYINPROF3"
echo "" > "RAYINPROPAG"
echo "" > "RAYINPUTS"
echo "" > "RAYINPUTS108SAV"
echo "" > "RAYINPUTSEMPE2"
echo "" > "RAYINPV2"
echo "" > "RAYINPV4"
echo "" > "RAYINPV4A"
echo "" > "RAYINPV4EMPE2"
echo "" > "RAYINPV4SAV"
echo "" > "RAYNEWS"
echo "" > "RAYNEWSOLD"
echo "" > "REF3FILE"
echo "" > "REF4:3LIN"
echo "" > "REF4:3MODEL"
echo "" > "REFCURVES"
echo "" > "REFRACTEO10MIC"
echo "" > "REFRACTEO4MIC"
echo "" > "REFRACTEODATA"
echo "" > "REFRACTEODATAK"
echo "" > "REFRACTMW3DATA"
echo "" > "REFRACTMWDATA"
echo "" > "REFRACTMWDATAK"
echo "" > "REFRACTZERO"
echo "" > "RFL8"
echo "" > "RFL9"
echo "" > "RFLFIL"
echo "" > "RFLFILEO5"
echo "" > "RFLFILLIN"
echo "" > "RFLFILPROF5"
echo "" > "RFLFILV2"
echo "" > "RFLFILV4"
echo "" > "RFLFILV4A"
echo "" > "RFLFILV4EMPE2"
echo "" > "RSURBFIL"
echo "" > "RSURBFILLIN"
echo "" > "SYS:IRANG"
echo "" > "SYS:IRHOR"
echo "" > "TEST"
echo "" > "TETA2"
echo "" > "TETAMAX"
echo "" > "TJDEMO"
echo "" > "TJSE:TRAJ"
echo "" > "TJSS:TRAJ"
echo "" > "TJSSTRAJ"
echo "" > "TOTOTOTO"
echo "" > "TRACK:F"
echo "" > "TRAJ1_ACC"
echo "" > "TRAJ1_PTS"
echo "" > "TRAJ1_VEL"
echo "" > "TRAJ_DEMO"
echo "" > "TTT"
echo "" > "VDTHW1"
echo "" > "VDTHW13"
echo "" > "VDTHW3"
echo "" > "VIRINCL_ACC"
echo "" > "VIRINCL_PTS"
echo "" > "VIRINCL_VEL"
echo "" > "WFIL"
echo "" > "WFILLIN"
echo "" > "WFILV2"
echo "" > "WFILV4"
echo "" > "WWW"
echo "" > "XXX"
echo "" > "YYY"
echo "" > "ZZZ"

[global]
interfaces = 131.132.56.153/255.255.240.0
wins server = 131.132.1.100
wins proxy = no
remote announce = 131.132.1.100 131.132.1.30
local master = no
preferred master = no
browse list = no
workgroup = DOMAIN-CRDV
netbios name = GETAFIX
security = domain
password server = IRIS
dns proxy = yes
server string = Bat 15 Local 103 Mike Duffy x4203 Samba %v
log file = /opt/samba/log/log.%m
max log size = 50
short preserve case = yes
preserve case = yes
lock directory = /opt/samba/locks
locking = yes
share modes = no
printing = bsd
auto services = homes pub lex1650 ingres
guest account = guest
browsable = yes
null passwords = yes
debug level = 3
encrypt passwords = yes
printer driver file = /pub/pdrivers/printers.def
map archive = no
fstype = SAMBA

[homes]
comment = home dirs
browseable = no
writable = yes
create mode = 750 
create mask = 0640
force create mode = 0
directory mask = 0777
force directory mode = 0

[pub]
comment = pub space
browseable = yes
writeable = no
path = /pub
printable = no
locking = no

[PRINTER$]
path = /pub/pdrivers
public = yes
writeable = yes
browseable = yes
guest ok = yes

[IPC$]
comment = IPC Service (Samba Server)
path = /tmp
status = no
guest ok = yes

[lex1650]
comment = Lexmark Optra S 1650 Bat 15 Local 103
printer driver = Lexmark Optra S 1650
printer driver location = \\%h\PRINTER$
path = /usr/spool/samba
browsable = yes
printable = yes
public = yes
guest ok = yes
writeable = yes
create mask = 700
print command = /usr/ucb/lpr -h -P %p %s; rm %s
lpq command = /usr/ucb/lpq -P %p
lprm command = /usr/ucb/lprm -P %p %j

[ingres]
comment = Apple Laserwriter Bat 25 Local 125
printer driver = Apple LaserWriter 16/600 PS
printer driver location = \\%h\PRINTER$
path = /usr/spool/samba
browsable = yes
printable = yes
public = yes
guest ok = yes
writeable = yes
create mask = 700
print command = /usr/ucb/lpr -h -P %p %s; rm %s
lpq command = /usr/ucb/lpq -P %p
lprm command = /usr/ucb/lprm -P %p %j
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:55:54 UTC
Sorry, but the 2.2 is not under development any longer.
If you can reproduce this bug against the latest 3.0 release, 
please reopen this bug and change the version in the report.
Thanks.
Comment 2 Gerald (Jerry) Carter 2004-02-23 14:32:08 UTC
Michael says "fixed in 3.0.2"
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:31:25 UTC
database cleanup